{% extends "_base.html" %}

{% load i18n %}

{% block title %}{% trans "E-mail Addresses" %}{% endblock %}

{% block content %}
<div class="column is-4 is-offset-4">
    <section class="hero has-background-light">
        <div class="hero-body">
            <div class="container has-text-centered">
                <div class="box">

                    <h1>{% trans "E-mail Addresses" %}</h1>
                    {% if user.emailaddress_set.all %}
                    <p>{% trans 'The following e-mail addresses are associated with your account:' %}</p>
                    <br>
                    <form action="{% url 'account_email' %}" class="email_list" method="post">
                        {% csrf_token %}
                        <fieldset class="blockLabels">
                            {% for emailaddress in user.emailaddress_set.all %}
                            <div class="ctrlHolder">
                                <label for="email_radio_{{forloop.counter}}" class="radio {% if emailaddress.primary %}primary_email{%endif%}">
                                    <input class="radio" id="email_radio_{{forloop.counter}}" type="radio" name="email" {% if emailaddress.primary or user.emailaddress_set.count == 1 %}checked="checked" {% endif %} value="{{emailaddress.email}}" />
                                    {{ emailaddress.email }}
                                    {% if emailaddress.verified %}
                                    &nbsp;
                                    <span class="tag is-success verified">{% trans "Verified" %}</span>&nbsp;
                                    {% else %}
                                    <span class="tag is-danger unverified">{% trans "Unverified" %}</span>&nbsp;
                                    {% endif %}
                                    {% if emailaddress.primary %}<span class="tag is-info">{% trans "Primary" %}</span>{% endif %}
                                </label>
                            </div>
                            {% endfor %}
                            <br>
                            <div class="buttonHolder">
                                <button class="button is-link secondaryAction" type="submit" name="action_primary">{% trans 'Make Primary' %}</button>
                                <button class="button is-link secondaryAction" type="submit" name="action_send">{% trans 'Re-send Verification' %}</button>
                                <button class="button is-link primaryAction" type="submit" name="action_remove">{% trans 'Remove' %}</button>
                            </div>

                        </fieldset>
                    </form>

                    {% else %}
                    <p><strong>{% trans 'Warning:'%}</strong> {% trans "You currently do not have any e-mail address set up. You should really add an e-mail address so you can receive notifications, reset your password, etc." %}</p>

                    {% endif %}

                    {% if can_add_email %}
                    <br>
                    <h2 class="subtitle">{% trans "Add E-mail Address" %}</h2>
                    <div class="control">
                        <form method="post" action="{% url 'account_email' %}" class="add_email">
                            {% csrf_token %}
                            {{ form.as_p }}
                            <br>
                            <button class="button is-link" name="action_add" type="submit">{% trans "Add E-mail" %}</button>
                        </form>
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </section>
</div>

{% endblock %}


{% block extra_body %}
<script type="text/javascript">
    (function() {
        var message = "{% trans 'Do you really want to remove the selected e-mail address?' %}";
        var actions = document.getElementsByName('action_remove');
        if (actions.length) {
            actions[0].addEventListener("click", function(e) {
                if (!confirm(message)) {
                    e.preventDefault();
                }
            });
        }
    })();
</script>
{% endblock %}